Solved

Upgrading PHP with RedHat and Ensim 3

Posted on 2004-10-19
2
244 Views
Last Modified: 2013-12-13
I have a dedicated server that runs redhat and ensim3 webpliannce.  The PHP version is 4.1.1, and I need functions available in 4.3.

I'm scared to death to upgrade it.  I don't have any idea about the dependencies that Ensim may have on PHP - it might be a PHP app for all I know.  I do know that when I ran:

# rpm -qa | grep php

I got:

php-sysvsem-4.1.1-4ensim3
webppliance-mod_php-frontend-3.1.0-25
php-snmp-4.1.1-4ensim3
php-4.1.1-4ensim3
php-ldap-4.1.1-4ensim3
php-pgsql-4.1.1-4ensim3
php-devel-4.1.1-4ensim3
php-sysvshm-4.1.1-4ensim3
phpMyAdmin-2.2.0-ensim4
php-imap-4.1.1-4ensim3
php-mysql-4.1.1-4ensim3
php-ftp-4.1.1-4ensim3
php-gettext-4.1.1-4ensim3
php-manual-4.1.1-4ensim3
webppliance-mod_php-3.1.0-25

I don't know if this means that the version of PHP 4.1.1 is somehow bespoke to ensim, or if it is just naming used by ensim when installing PHP.  I'm seriously considering starting over on a fresh server and then migrating the sites.

I'm looking for guidance from the experts...

cheers,
0
Comment
Question by:shotokai
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
2 Comments
 
LVL 48

Accepted Solution

by:
hernst42 earned 500 total points
ID: 12362441
I think the best way is to upgrade the server/move to a new server. You need to update additional libaries if you want PHP4.3 work on an old system (like libtool, autoconf, automake, ..). Also libraries used by PHP might also need an update. So this can get a big thing to do.

The most important things that have changed since php 4.1 is that regiser_globals is turend off by default. If you have your php.ini for version 4.1 this in should also run with 4.3 and you get the same settings as 4.1 and the scripts should work as on the old server. Are you using a long or a short php.ini (are the all options present in the php.ini from 4.1 or only the values that differe from the standard in 4.1)?
0

Featured Post

Free Tool: Site Down Detector

Helpful to verify reports of your own downtime, or to double check a downed website you are trying to access.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Build an array called $myWeek which will hold the array elements Today, Yesterday and then builds up the rest of the week by the name of the day going back 1 week.   (CODE) (CODE) Then you just need to pass your date to the function. If i…
Nothing in an HTTP request can be trusted, including HTTP headers and form data.  A form token is a tool that can be used to guard against request forgeries (CSRF).  This article shows an improved approach to form tokens, making it more difficult to…
The viewer will learn how to dynamically set the form action using jQuery.
This tutorial will teach you the core code needed to finalize the addition of a watermark to your image. The viewer will use a small PHP class to learn and create a watermark.

688 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question